<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\RawSql;
use CodeIgniter\Database\Migration;

class CreateTableFestivos extends Migration
{
    protected array $COLUMNS = [
        "id" => [
            "type" => "INT",
            "unsigned" => true,
            "auto_increment" => true
        ],
        "date" => [
            "type" => "DATE",
            "unique" => true,
        ],
    ];
    public function up()
    {
        $this->forge->addField($this->COLUMNS);
        $currenttime = new RawSql("CURRENT_TIMESTAMP");
        $this->forge->addField([
            "created_at" => [
                "type" => "TIMESTAMP",
                "default" => $currenttime,
            ],
            "updated_at" => [
                "type" => "TIMESTAMP",
                "null" => true,
            ],
            "deleted_at" => [
                "type" => "TIMESTAMP",
                "null" => true,

            ],
        ]);
        $this->forge->addPrimaryKey('id');
        $this->forge->createTable("festivos", true);
    }

    public function down()
    {
        //
        $this->forge->dropTable("festivos", true);
    }
}
